Lock postgres/postgis on st_estimatedextent and st_makeenvelope
Status: Open

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: OpenSuse leap 15 / Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29823

Description

Hi,

We have a repetitive lock on postgres/postgis database using QGIS. 

Some times using a postgis layer in QGIS it creates a lockin the database and QGIS can no longer use the layer and freeze to death. 

Then we have two option, either kill the query on pgadmin dashboard or close and reopen QGIS to be able to work again.

This issue can appear many times in a day.

What we have managed to understand this far, is that the layer seems to lock when queries st_makeenvelope and st_estimatedextent are

exectuted.

We've experienced thoses lock since the QGIS 3 version.

Hope you'll be able to solve that problem,

Thanks by advance

History

#1 - 2019-05-07 07:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

We've experienced thoses lock since the QGIS 3 version.~

so this is a regression compared to QGIS 2.*?

#2 - 2019-05-10 01:37 PM - Corentin Falcone

Giovanni Manghi wrote:

We've experienced thoses lock since the QGIS 3 version.~

so this is a regression compared to QGIS 2.*?

It seems like that. There was no locking while we were using QGIS 2.*, but in QGIS 3.* it append.

#3 - 2019-05-10 06:13 PM - Giovanni Manghi

- Regression? changed from No to Yes
- Priority changed from Normal to High

- Status changed from Feedback to Open
